Bug 2026228 - SELinux is preventing cpupower-gui-he from 'map' accesses on the file /var/tmp/ffi6reIpN (deleted).
Summary: SELinux is preventing cpupower-gui-he from 'map' accesses on the file /var/tm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 36
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f49b1e16ecf70b6a427843ff9a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-24 07:09 UTC by Lee Hughes
Modified: 2022-10-12 13:01 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-36.16-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-12 13:01:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fedora-selinux selinux-policy pull 1416 0 None open Allow init map its private tmp files 2022-09-26 16:01:04 UTC

Description Lee Hughes 2021-11-24 07:09:06 UTC
Description of problem:
SELinux is preventing cpupower-gui-he from 'map' accesses on the file /var/tmp/ffi6reIpN (deleted).

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If you want to allow domain to can mmap files
Then you must tell SELinux about this by enabling the 'domain_can_mmap_files' boolean.

Do
setsebool -P domain_can_mmap_files 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If you believe that cpupower-gui-he should be allowed map access on the ffi6reIpN (deleted) file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'cpupower-gui-he' --raw | audit2allow -M my-cpupowerguihe
# semodule -X 300 -i my-cpupowerguihe.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:init_tmp_t:s0
Target Objects                /var/tmp/ffi6reIpN (deleted) [ file ]
Source                        cpupower-gui-he
Source Path                   cpupower-gui-he
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-35.5-1.fc35.noarch
Local Policy RPM              selinux-policy-targeted-35.5-1.fc35.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.14.18-300.fc35.x86_64 #1 SMP Fri
                              Nov 12 16:43:17 UTC 2021 x86_64 x86_64
Alert Count                   2
First Seen                    2021-11-24 07:50:26 CET
Last Seen                     2021-11-24 07:50:26 CET
Local ID                      89b9e5a5-8dc6-491a-80a2-4be98211cd1a

Raw Audit Messages
type=AVC msg=audit(1637736626.378:167): avc:  denied  { map } for  pid=1414 comm="cpupower-gui-he" path=2F7661722F746D702F66666936726549704E202864656C6574656429 dev="nvme0n1p3" ino=88707980 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:init_tmp_t:s0 tclass=file permissive=0


Hash: cpupower-gui-he,init_t,init_tmp_t,file,map

Version-Release number of selected component:
selinux-policy-targeted-35.5-1.fc35.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.15.2
hashmarkername: setroubleshoot
kernel:         5.14.18-300.fc35.x86_64
type:           libreport

Potential duplicate: bug 2013428

Comment 1 Fedora Update System 2022-09-30 08:49:40 UTC
FEDORA-2022-0c59a07653 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

Comment 2 Fedora Update System 2022-10-01 02:12:49 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0c59a07653`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-10-12 13:01:26 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.